<!DOCTYPE html>
<html lang="pt-BR">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Integração CRM SolarNext</title>
</head>

<body>
  <form name='formulario_captura' method="post">
    <!-- Nome -->
    <div>
      <label for="nome">Nome:</label>
      <input type="text" id="nome" name="nome" required />
    </div>
    <!-- Email -->
    <div>
      <label for="email">Email:</label>
      <input type="email" id="email" name="email" required />
    </div>
    <!-- Telefone -->
    <div>
      <label for="telefone">Telefone:</label>
      <input type="text" id="telefone" name="telefone" />
    </div>
    <!-- Cidade -->
    <div>
      <label for="cidade">Cidade:</label>
      <input type="text" id="cidade" name="cidade" />
    </div>
    <!-- Valor Pago -->
    <div>
      <label for="valor_consumo">Valor Consumo de Energia:</label>
      <input type="text" id="valor_consumo" name="valor_consumo" />
    </div>
    <!-- Botão para envio -->
    <button type="submit">Cadastrar</button>
  </form>
</body>
<script src="https://sistema.solarnext.app/assets/vendor/jquery/jquery-3.3.1.min.js"></script>
<script src="https://static.solarnext.app/libs/integracao-crm/solarNextIntegration.js"></script>
<script>
  let integracaoSN = null;
  window.jQuery(document).ready(() => {
    // ID_CAMPANHA = ID da campanha de marketing no CRM da SolarNext
    integracaoSN = new SolarNextIntegration(165, "form[name='formulario_captura']");
    // O campo "nome" recebará o valor do input com o atributo name="nome"
    integracaoSN.configureField("nome", "nome");
    // O campo "email" recebará o valor do input com o atributo name="email"
    integracaoSN.configureField("email", "email");
    // O campo "contato" recebará o valor do input com o atributo name="telefone"
    integracaoSN.configureField("contato", "telefone");
    // O campo "cidade" recebará o valor do input com o atributo name="cidade"
    integracaoSN.configureField("cidade", "cidade");
    // O campo "consumo_energia_valor" recebará o valor do input com o atributo name="valor_consumo"
    integracaoSN.configureField("consumo_energia_valor", "valor_consumo");
    // Esperando o formulário ser submetido
    integracaoSN.listen();
  });
</script>

</html>
